## python-pyproj 3.3.1

=== debian/changelog ===
python-pyproj (3.3.1-1build1) kinetic; urgency=medium

  * No-change rebuild against libproj25

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 16 May 2022 16:23:13 +0000

python-pyproj (3.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 22 Apr 2022 06:31:37 +0200

python-pyproj (3.3.1~rc0-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 21 Apr 2022 05:23:46 +0200

=== debian/control ===
Source: python-pyproj
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               cython3,
               libproj-dev (>= 8.0.0),
               proj-bin (>= 8.0.0),
               python3-all-dev,
               python3-certifi,
               python3-setuptools,
               python3-mock,
               python3-numpy,
               python3-packaging,
               python3-pandas,
               python3-pytest,
               python3-pytest-cov,
               python3-shapely,
               python3-xarray
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-pyproj
Vcs-Git: https://salsa.debian.org/debian-gis-team/python-pyproj.git
Homepage: https://github.com/pyproj4/pyproj

Package: python3-pyproj
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         proj-data
Description: Python 3 interface to PROJ library
 PROJ performs cartographic transformations between geographic (lat/lon)
 and map projection (x/y) coordinates. It can also transform directly
 from one map projection coordinate system to another.
 .
 This is a Python 3 binding to PROJ, it can receive coordinates as numpy
 arrays, Python arrays, lists or scalars. This module is optimized for
 numpy arrays.

## python-pyproj 3.4.1

=== Makefile ===
# This was based on a Makefile by Kirk Hansen <https://github.com/kirkhansen>

.PHONY: clean clean-test clean-pyc clean-build clean-setup clean-cython docs help test
.DEFAULT_GOAL := help

define BROWSER_PYSCRIPT
import os, webbrowser, sys

try:
	from urllib import pathname2url
except:
	from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT

BROWSER := python3 -c "$$BROWSER_PYSCRIPT"

help:
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

clean: clean-build clean-pyc clean-test clean-setup clean-cython ## remove all build, test, coverage and Python artifacts

clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -f .coverage
	rm -fr htmlcov/
	rm -fr .pytest_cache

clean-setup: ## run python setup.py clean
	python setup.py clean

clean-cython: ## clean the cython files
	rm -f pyproj/*.so
	rm -f pyproj/*/*.so
	rm -f pyproj/*/*.c
	rm -f pyproj/*.c

check-type:
	mypy pyproj

check: check-type
	pre-commit run --show-diff-on-failure --all-files

test: ## run tests
	py.test

test-verbose: ## run tests with full verbosity
	py.test -vv -s

test-coverage:  ## run tests and generate coverage report
	py.test --cov-report term-missing --cov=pyproj -v -s

install-docs: ## Install requirements for building documentation
	python -m pip install -r requirements-docs.txt

docs: ## generate Sphinx HTML documentation, including API docs
	$(MAKE) -C docs clean
	$(MAKE) -C docs html

docs-browser: docs ## generate Sphinx HTML documentation, including API docs and open in a browser
	$(BROWSER) docs/_build/html/index.html

docs-man: ## generate Sphinx man pages for CLI
	$(MAKE) -C docs clean
	$(MAKE) -C docs man

install: clean ## install the package to the active Python's site-packages
	python -m pip install .

install-dev: clean ## install development version to active Python's site-packages
	python -m pip install -r requirements-dev.txt
	pre-commit install
	python -m pip install -r requirements-test.txt
	PYPROJ_FULL_COVERAGE=YES python -m pip install -e .

=== debian/changelog ===
python-pyproj (3.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 13 Dec 2022 09:04:12 +0100

python-pyproj (3.4.1~rc0-1~exp1) unstable; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 10 Dec 2022 07:58:36 +0100

python-pyproj (3.4.0-2) unstable; urgency=medium

  * Add Rules-Requires-Root to control file.
  * Add patch to not set RPATH in libraries.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 17:26:42 +0100

python-pyproj (3.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 10 Sep 2022 06:34:52 +0200

python-pyproj (3.4.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop setuptools.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 09 Sep 2022 06:40:27 +0200

python-pyproj (3.4.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Unconditionally use PROJ_DATA.
  * Bump minimum required PROJ to 8.2.0.
  * Drop pr1099-PROJ_DATA.patch, included upstream.
  * Add pybuild-plugin-pyproject to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 08 Sep 2022 08:23:17 +0200

python-pyproj (3.3.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes.
  * Add upstream patch to support PROJ_DATA.
  * Export PROJ_DATA in rules for PROJ >= 9.1.0~.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Aug 2022 19:37:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-pyproj
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: David Paleino <dapal@debian.org>,
            Bas Couwenberg <sebastic@debian.org>
 Section: python
@@ -8,8 +7,9 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                cython3,
-               libproj-dev (>= 8.0.0),
-               proj-bin (>= 8.0.0),
+               libproj-dev (>= 8.2.0),
+               proj-bin (>= 8.2.0),
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-certifi,
                python3-setuptools,
@@ -21,10 +21,11 @@
                python3-pytest-cov,
                python3-shapely,
                python3-xarray
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-pyproj
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-pyproj.git
 Homepage: https://github.com/pyproj4/pyproj
+Rules-Requires-Root: no
 
 Package: python3-pyproj
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=pyproj
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=-v -m "not network and not cli and not grid"

# Path to system installed PROJ data.
export PROJ_DIR=/usr
export PROJ_DATA=/usr/share/proj

include /usr/share/dpkg/architecture.mk

%:
	dh $@ \
		--with python3 \
		--buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifneq (,$(filter $(DEB_BUILD_ARCH),i386 hppa hurd-i386 kfreebsd-i386 powerpc))
	dh_auto_test || echo "Ignoring test failures"
else
	dh_auto_test
endif
endif

override_dh_python3:
	dh_python3 -ppython3-pyproj
	dh_numpy3 -ppython3-pyproj

## python-pyproj 3.6.0~rc0

=== debian/changelog ===
python-pyproj (3.6.0~rc0-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 09 Jun 2023 06:15:46 +0200

python-pyproj (3.5.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop xfail.patch, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 28 Mar 2023 05:23:35 +0200

python-pyproj (3.5.0~rc0-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Enable numpy3 dh helper.
  * Bump Standards-Version to 4.6.2, no changes.
  * Update copyright file.
  * Bump minimum required PROJ to 9.0.0.
  * Add patch to ignore certain test failures.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 25 Mar 2023 07:32:10 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                cython3,
-               libproj-dev (>= 8.2.0),
-               proj-bin (>= 8.2.0),
+               libproj-dev (>= 9.0.0),
+               proj-bin (>= 9.0.0),
                pybuild-plugin-pyproject,
                python3-all-dev,
                python3-certifi,
@@ -21,9 +21,9 @@
                python3-pytest-cov,
                python3-shapely,
                python3-xarray
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-pyproj
-Vcs-Git: https://salsa.debian.org/debian-gis-team/python-pyproj.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/python-pyproj.git -b experimental
 Homepage: https://github.com/pyproj4/pyproj
 Rules-Requires-Root: no

## python-pyproj 3.6.0

=== debian/changelog ===
python-pyproj (3.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat to 13.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 13 Jun 2023 05:25:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                cython3,
                libproj-dev (>= 9.0.0),
@@ -23,7 +23,7 @@
                python3-xarray
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-pyproj
-Vcs-Git: https://salsa.debian.org/debian-gis-team/python-pyproj.git -b experimental
+Vcs-Git: https://salsa.debian.org/debian-gis-team/python-pyproj.git
 Homepage: https://github.com/pyproj4/pyproj
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 %:
 	dh $@ \
-		--with python3 \
+		--with python3,numpy3 \
 		--buildsystem=pybuild
 
 override_dh_auto_test:
@@ -30,7 +30,3 @@
 	dh_auto_test
 endif
 endif
-
-override_dh_python3:
-	dh_python3 -ppython3-pyproj
-	dh_numpy3 -ppython3-pyproj

## python-pyproj 3.6.1

=== debian/changelog ===
python-pyproj (3.6.1-4) unstable; urgency=medium

  * Drop obsolete python3-mock build dependency.
    (closes: #1066144)
  * Add patch to fix FTBFS with PROJ 9.4.1.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 29 May 2024 09:40:18 +0200

python-pyproj (3.6.1-3) unstable; urgency=medium

  * Add upstream patch to fix FTBFS with PROJ 9.4.0.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 28 Feb 2024 05:27:39 +0100

python-pyproj (3.6.1-2) unstable; urgency=medium

  * Drop RC-buggy python3-xarray from build dependencies.
    (closes: #1055843)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 12 Nov 2023 16:16:37 +0100

python-pyproj (3.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 21 Sep 2023 06:20:44 +0200

python-pyproj (3.6.1~rc0-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Use autopkgtest-pkg-pybuild testsuite.
  * Enable Salsa CI.
  * Remove generated files in clean target.
    (closes: #1046443)
  * Switch to dh-sequence-*.
  * Refresh patches.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 19 Sep 2023 05:22:32 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,8 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
                cython3,
                libproj-dev (>= 9.0.0),
                proj-bin (>= 9.0.0),
@@ -13,19 +15,18 @@
                python3-all-dev,
                python3-certifi,
                python3-setuptools,
-               python3-mock,
                python3-numpy,
                python3-packaging,
                python3-pandas,
                python3-pytest,
                python3-pytest-cov,
-               python3-shapely,
-               python3-xarray
+               python3-shapely
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-pyproj
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-pyproj.git
 Homepage: https://github.com/pyproj4/pyproj
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pyproj
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -18,9 +18,7 @@
 include /usr/share/dpkg/architecture.mk
 
 %:
-	dh $@ \
-		--with python3,numpy3 \
-		--buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

## python-pyproj 3.7.0

=== debian/changelog ===
python-pyproj (3.7.0-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Nov 2024 04:38:49 +0100

python-pyproj (3.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Oct 2024 15:33:05 +0200

python-pyproj (3.7.0~rc0-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update copyright file.
  * Drop proj patches, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 30 Sep 2024 05:37:44 +0200

python-pyproj (3.6.1-5) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0, no changes.
  * Add patch to fix FTBFS with PROJ 9.5.0.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 Sep 2024 05:38:14 +0200

## python-pyproj 3.7.1

=== debian/changelog ===
python-pyproj (3.7.1-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 16:17:30 +0000

python-pyproj (3.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 16 Feb 2025 06:52:14 +0100

python-pyproj (3.7.1~rc0-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 15 Feb 2025 07:32:44 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                python3-pytest,
                python3-pytest-cov,
                python3-shapely
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-pyproj
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-pyproj.git
 Homepage: https://github.com/pyproj4/pyproj

## python-pyproj 3.7.2~rc0

=== debian/changelog ===
python-pyproj (3.7.2~rc0-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.
  * Add patch to fix FTBFS due to unknown freethreading_compatible directive.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 11 Aug 2025 05:52:27 +0200

python-pyproj (3.7.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.7.2, no changes.
  * Add patch to fix FTBFS with PROJ 9.6.2.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Aug 2025 13:10:02 +0200

## python-pyproj 3.7.2~rc1

=== debian/changelog ===
python-pyproj (3.7.2~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Aug 2025 05:20:55 +0200

## python-pyproj 3.7.2

=== Makefile ===
--- 
+++ 
@@ -2,18 +2,6 @@
 
 .PHONY: clean clean-test clean-pyc clean-build clean-setup clean-cython docs help test
 .DEFAULT_GOAL := help
-
-define BROWSER_PYSCRIPT
-import os, webbrowser, sys
-
-try:
-	from urllib import pathname2url
-except:
-	from urllib.request import pathname2url
-
-webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
-endef
-export BROWSER_PYSCRIPT
 
 define PRINT_HELP_PYSCRIPT
 import re, sys
@@ -25,8 +13,6 @@
 		print("%-20s %s" % (target, help))
 endef
 export PRINT_HELP_PYSCRIPT
-
-BROWSER := python3 -c "$$BROWSER_PYSCRIPT"
 
 help:
 	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)
@@ -83,7 +69,7 @@
 	$(MAKE) -C docs html
 
 docs-browser: docs ## generate Sphinx HTML documentation, including API docs and open in a browser
-	$(BROWSER) docs/_build/html/index.html
+	python -m webbrowser -t docs/_build/html/index.html
 
 docs-man: ## generate Sphinx man pages for CLI
 	$(MAKE) -C docs clean

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python3 -msphinx
SPHINXPROJ    = pyproj
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-pyproj (3.7.2-3) unstable; urgency=medium

  * Annotate build dependencies with nocheck.
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.
  * Add patch to fix FTBFS with PROJ 9.8.0.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 27 Feb 2026 12:32:33 +0100

python-pyproj (3.7.2-2) unstable; urgency=medium

  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Add patch to fix FTBFS with PROJ 9.7.1.
  * Drop freethreading_compatible.patch, Cython 3.1 in unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 28 Nov 2025 18:43:15 +0100

python-pyproj (3.7.2-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 18 Aug 2025 06:44:48 +0200

python-pyproj (3.7.2-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 14 Aug 2025 13:56:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: David Paleino <dapal@debian.org>,
            Bas Couwenberg <sebastic@debian.org>
 Section: python
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-numpy3,
@@ -15,17 +14,16 @@
                python3-all-dev,
                python3-certifi,
                python3-setuptools,
-               python3-numpy,
-               python3-packaging,
-               python3-pandas,
-               python3-pytest,
-               python3-pytest-cov,
-               python3-shapely
-Standards-Version: 4.7.0
+               python3-numpy <!nocheck>,
+               python3-packaging <!nocheck>,
+               python3-pandas <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-pytest-cov <!nocheck>,
+               python3-shapely <!nocheck>
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-pyproj
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-pyproj.git
 Homepage: https://github.com/pyproj4/pyproj
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pyproj

=== debian/rules ===
--- 
+++ 
@@ -21,10 +21,8 @@
 	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-ifneq (,$(filter $(DEB_BUILD_ARCH),i386 hppa hurd-i386 kfreebsd-i386 powerpc))
+ifneq (,$(filter $(DEB_BUILD_ARCH),i386 hppa hurd-i386 powerpc))
 	dh_auto_test || echo "Ignoring test failures"
 else
 	dh_auto_test
 endif
-endif
